#include "mini.h"

uint16_t ants = 0xc936;
float t = 0;

void exception_loop() {
    //if (t==0) t= time();
    if (time()-t > 0.25) {
        t = time();
        clip();
        origin(0,0);
        setdest(0);
        settrans(255);
        setcolor(0,0xffffff00);
        setcolor(1,0xff000000);
        const int w=scrw();
        const int h=scrh();
        mini::draw::mode::set(0);
        mini::draw::rect(0,0,w,h,1);
        mini::draw::rect(1,1,w-2,h-2,1);
        mini::draw::mode::set(1);
        fillp(ants);
        mini::draw::rect(0,0,w,h,0);
        mini::draw::rect(1,1,w-2,h-2,0);
        ants = (ants<<12) | (ants>>4);
    }
}